> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Email Preference



## OpenAPI

````yaml /openapi.json patch /v1/email-preferences
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.4.0
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/email-preferences:
    patch:
      summary: Update Email Preference
      operationId: update_email_preference_v1_email_preferences_patch
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEmailPreference'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailPreference'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateEmailPreference:
      additionalProperties: false
      properties:
        product_updates:
          title: Product Updates
          type: boolean
      required:
        - product_updates
      title: UpdateEmailPreference
      type: object
    EmailPreference:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        display_name:
          title: Display Name
          type: string
        email:
          title: Email
          type: string
        product_updates:
          default: true
          title: Product Updates
          type: boolean
        provider_contact_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Contact Id
        updated_at:
          format: date-time
          title: Updated At
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - display_name
        - created_at
        - updated_at
      title: EmailPreference
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````